Summary:	A High Quality Rendering Engine for C++
Summary(pl.UTF-8):	Silnik renderujący wysokiej jakości dla C++
Name:		agg
Version:	2.5
Release:	8
License:	GPL v2+
Group:		Libraries
Source0:	http://www.antigrain.com/%{name}-%{version}.tar.gz
# Source0-md5:	ddc67cbdc7d51e1ec984c2ac2724c08a
Patch0:		%{name}-depends.patch
Patch1:		ac.patch
Patch2:		cxx.patch
URL:		http://www.antigrain.com/
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Unresolved symbol: _Z8agg_mainiPPc
%define		skip_post_check_so	libaggplatformsdl.so.*.*.* libaggplatformX11.so.*.*.* libaggplatformsdl.so.*.*.*

%description
Anti-Grain Geometry (AGG) is a general purpose graphical toolkit
written completely in standard and platform independent C++. It can be
used in many areas of computer programming where high quality 2D
graphics is an essential part of the project.

AGG uses only C++ and standard C runtime functions, such as memcpy,
sin, cos, sqrt, etc. The basic algorithms don't even use C++ Standard
Template Library. Thus, AGG can be used in a very large number of
applications, including embedded systems.

%description -l pl.UTF-8
Anti-Grain Geometry (AGG) to toolkit graficzny ogólnego przeznaczenia
napisany całkowicie w standardowym i niezależnym od platformy C++.
Może być używany w wielu zastosowaniach z zakresu programowania gdzie
zasadniczą częścią projektu jest wysokiej jakości grafika 2D.

AGG używa tylko C++ i standardowych funkcji C, takich jak memcpy, sin,
cos, sqrt itp. Podstawowe algorytmy nie używają nawet standardowej
biblioteki C++. W ten sposób AGG może być używany w bardzo wielu
zastosowaniach, także na systemach wbudowanych.

%package devel
Summary:	Support files necessary to compile applications with agg
Summary(pl.UTF-8):	Pliki potrzebne do kompilowania aplikacji z użyciem agg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
# libaggfontfreetype R: freetype-devel
# libaggplatformX11 R: xorg-lib-libX11-devel
# libaggplatformsdl R: SDL-devel

%description devel
Header and support files necessary to compile applications using agg.

%description devel -l pl.UTF-8
Pliki nagłówkowe i pomocnicze potrzebne do kompilowania aplikacji z
użyciem agg.

%package static
Summary:	Static agg library
Summary(pl.UTF-8):	Statyczna biblioteka agg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static agg library.

%description static -l pl.UTF-8
Statyczna biblioteka agg.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-gpc \
	--disable-examples

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc authors copying readme
%attr(755,root,root) %{_libdir}/libagg.so.*.*.*
%ghost %{_libdir}/libagg.so.2
%attr(755,root,root) %{_libdir}/libaggfontfreetype.so.*.*.*
%ghost %{_libdir}/libaggfontfreetype.so.2
%attr(755,root,root) %{_libdir}/libaggplatformX11.so.*.*.*
%ghost %{_libdir}/libaggplatformX11.so.2
%attr(755,root,root) %{_libdir}/libaggplatformsdl.so.*.*.*
%ghost %{_libdir}/libaggplatformsdl.so.2

%files devel
%defattr(644,root,root,755)
%{_libdir}/libagg.so
%{_libdir}/libaggfontfreetype.so
%{_libdir}/libaggplatformX11.so
%{_libdir}/libaggplatformsdl.so
%{_libdir}/libagg.la
%{_libdir}/libaggfontfreetype.la
%{_libdir}/libaggplatformX11.la
%{_libdir}/libaggplatformsdl.la
%{_includedir}/agg2
%{_pkgconfigdir}/libagg.pc
%{_aclocaldir}/libagg.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libagg.a
%{_libdir}/libaggfontfreetype.a
%{_libdir}/libaggplatformX11.a
%{_libdir}/libaggplatformsdl.a
%changelog
* Mon Sep 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/agg.git;a=log;h=master

* Mon Sep 03 2018 Jan Rękorajski <baggins@pld-linux.org> 355d469
- cxx fixes for gcc 8
- rel 8

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 127f6ab
- fix building with latest ac/am
- rel 7

* Tue Feb 28 2012 Elan Ruusamäe <glen@pld-linux.org> 189cd8e
- package ghost soname symlinks; verbose files

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> be32cf6
- rel 5
- parallel build is not

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 9692003
- rel 4

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a6724d8
- release 3

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> df7133f
- rel 2

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> c70bbd4
- BR+R libstdc++-devel, BR: pkgconfig

* Wed Mar 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 956123c
- sorted BRs

* Mon Mar 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b47195f
- rel 1; xorg reqs

* Mon Mar 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f54d53
- updated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 500bc5a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ae0d6b2
- converted to UTF-8

* Fri Jan 26 2007 Jakub Bogusz <qboosh@pld-linux.org> f3fc086
- pl
- don't remove *.la

* Tue Jan 23 2007 Elan Ruusamäe <glen@pld-linux.org> 3e3a563
- extended description from doc/introduction
- License is GPL v2+

* Tue Jan 23 2007 Elan Ruusamäe <glen@pld-linux.org> 1ca4835
- separate -static

* Tue Jan 23 2007 Elan Ruusamäe <glen@pld-linux.org> 838beb5
- based on fedora cvs spec (http://cvs.fedora.redhat.com/viewcvs/rpms/agg/devel/)

* Tue Jan 23 2007 Elan Ruusamäe <glen@pld-linux.org> f62b2d5
- from fedora cvs (http://cvs.fedora.redhat.com/viewcvs/rpms/agg/devel/)

